"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQuoterProgram = exports.getNttProgram = exports.IdlVersions = void 0;
const anchor_1 = require("@coral-xyz/anchor");
const index_js_1 = require("./anchor-idl/index.js");
exports.IdlVersions = {
    "1.0.0": index_js_1._1_0_0,
    default: index_js_1._1_0_0,
};
function loadIdlVersion(version) {
    if (!(version in exports.IdlVersions))
        throw new Error(`Unknown IDL version: ${version}`);
    return exports.IdlVersions[version];
}
const getNttProgram = (connection, address, version = "default") => new anchor_1.Program(
// @ts-ignore
loadIdlVersion(version).idl.ntt, address, { connection });
exports.getNttProgram = getNttProgram;
const getQuoterProgram = (connection, address, version = "default") => new anchor_1.Program(
// @ts-ignore
loadIdlVersion(version).idl.quoter, address, { connection });
exports.getQuoterProgram = getQuoterProgram;
//# sourceMappingURL=bindings.js.map