import { Program } from "@coral-xyz/anchor";
import { _1_0_0 } from "./anchor-idl/index.js";
export const IdlVersions = {
    "1.0.0": _1_0_0,
    default: _1_0_0,
};
function loadIdlVersion(version) {
    if (!(version in IdlVersions))
        throw new Error(`Unknown IDL version: ${version}`);
    return IdlVersions[version];
}
export const getNttProgram = (connection, address, version = "default") => new Program(
// @ts-ignore
loadIdlVersion(version).idl.ntt, address, { connection });
export const getQuoterProgram = (connection, address, version = "default") => new Program(
// @ts-ignore
loadIdlVersion(version).idl.quoter, address, { connection });
//# sourceMappingURL=bindings.js.map